------------------------------------------------------------------------------------
--Name：            210129[简体征服][活动脚本]全球白色情人节活动——副本1+2
--Creator:      林嘉鑫
--Created:     2021-01-29
------------------------------------------------------------------------------------
-- /callluafunc </F>User_PlayPlot</N>119
-- /chgmap 11136 142 175

CppScriptMgr:SetViewPosByCell(122,185);
CppScriptMgr:SetViewScale(256);
CppScriptMgr:SetLightScreen(2000);

local playerNpcNew2 = CppScriptMgr:AddSimplePlayer(1053500, 125,184, "Prince", 4003000116,1)
playerNpcNew2:SetZoomPercent(100)
local playerNpcNew3 = CppScriptMgr:AddSimplePlayer(35005, 119,193, "Mermaid Queen", 4003000120,1)
playerNpcNew3:SetZoomPercent(150)
playerNpcNew3:SetDir(5);
local Npc1 = CppScriptMgr:AddSimplePlayer(35014, 130,201, "Sea Witch", 4003000119,1)
Npc1:SetZoomPercent(200)
Npc1:SetDir(4);
CppScriptMgr:WaitMilSec(2000);
Npc1:Say("The illusory bubbles, please restore your original appearance!", 2000)

local playerNpcNew = CppScriptMgr:AddSimplePlayer(35024, 125,188, "Little Mermaid", 4003000115,1)
playerNpcNew:SetZoomPercent(1)
local effectObj2 = CppScriptMgr:AddEffect("sscs_htsd_cyc", 125,188);
for i = 1,100 do
	playerNpcNew:SetZoomPercent(i)
	CppScriptMgr:WaitMilSec(20);
end

CppScriptMgr:ClearEffect(effectObj2)
playerNpcNew:SetPos(125,188);
CppScriptMgr:WaitMilSec(1000);
playerNpcNew2:Say("Great! You`re finally back!", 2000)
CppScriptMgr:WaitMilSec(1000);
Npc1:Say("Humph, stupid lovers!", 2000)
local effectObj1 = CppScriptMgr:AddEffect("moveback", 130, 201);
CppScriptMgr:WaitMilSec(1000);
Npc1:SetPos(1, 1);
CppScriptMgr:WaitMilSec(1500);
playerNpcNew:Say("How come... I`m back to who I am now?", 2000)
CppScriptMgr:WaitMilSec(2500);
-- playerNpcNew3:Say("It`s this hero who helped you.", 2000)
-- CppScriptMgr:WaitMilSec(2500);
-- playerNpcNew:Say("Thank you so much!", 2000)
-- CppScriptMgr:WaitMilSec(2500);
playerNpcNew3:Say("Silly girl, I`ve told everything to the prince.", 2000)
CppScriptMgr:WaitMilSec(2500);
playerNpcNew2:Say("Forgive me. I just knew the truth.", 2000)
CppScriptMgr:WaitMilSec(2500);
playerNpcNew:Say("No, you don`t need to apologize. I was willing to do it.", 2000)
CppScriptMgr:WaitMilSec(2500);
playerNpcNew2:Say("Maybe, will you still trust me?", 2000)
CppScriptMgr:WaitMilSec(2500);
playerNpcNew:Say("Of course, I`ll never change!#11", 2000)
CppScriptMgr:WaitMilSec(2500);

local effectObj2 = CppScriptMgr:AddEffect("tulip-flower-full",104,182);
CppScriptMgr:WaitMilSec(6000);
